Retrieves the equipment_model object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

equipment_model
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

name

Name of the equipment model

string

Required

Max length: 50

description

Description of the equipment model

string
equipment_brand_id

FK Of Equipment brand

globally unique identifier
equipment_brand_code

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

string
equipment_brand

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

equipment_brand
equipment_family_id

FK Of equipment_family

globally unique identifier
equipment_family_code

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

string
equipment_family

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

equipment_family
date_in_production_since

Date in production since

date
date_out_of_production_since

Date Out Of production since

date
date_end_support

Date end support

date
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating equipment_model

string
sales_organization

Embedded entity "sales_organization" when adding/updating equipment_model

sales_organization
replacement_period_nb_months

replacement_period_nb_months

integer
warranty_period_nb_months

warranty_period_nb_months

integer
translations

List of translation of specific field name

Collection of translation
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "beaa7599-80f0-425a-9ce4-f7ba7ef17932",
  "code": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "equipment_brand_id": "3829a382-ce1e-453d-b5b3-7892d86f3ee3",
  "equipment_brand_code": "sample string 6",
  "equipment_brand": {
    "id": "b6e97afe-7804-4c4a-9089-73927e837779",
    "name": "sample string 2",
    "code": "sample string 3",
    "sales_organization_id": "0d6e8e7b-75d6-4b10-ae88-3c5277d3cd5a",
    "sales_organization_code": "sample string 5",
    "sales_organization": {
      "id": "132b603f-3525-46b1-a190-e6314fb785a3",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "299093d0-e676-47d8-bd9f-fb70acf60f93",
      "db_currency_id": "557493e3-9e12-4da5-8bf1-37a0b758d20c",
      "db_language_id": "fd2157c9-752d-41ce-81d4-7f0b508c9cca",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-08T15:01:25.0970556+00:00"
    },
    "modified_dateutc": "2026-11-08T15:01:25.0970556+00:00"
  },
  "equipment_family_id": "d57e0f0c-493f-45d7-9515-24288885fb17",
  "equipment_family_code": "sample string 8",
  "equipment_family": {
    "id": "bfbe2159-3b0f-4bf3-b80f-a897f8cc7411",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "_parent_id": "2c6ccbc8-4d66-407a-8e1c-18aca73f12f6",
    "_parent_code": "sample string 6",
    "sales_organization_id": "ab2cf6b3-ea86-4046-af36-31977ecdef94",
    "sales_organization_code": "sample string 8",
    "sales_organization": {
      "id": "132b603f-3525-46b1-a190-e6314fb785a3",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "299093d0-e676-47d8-bd9f-fb70acf60f93",
      "db_currency_id": "557493e3-9e12-4da5-8bf1-37a0b758d20c",
      "db_language_id": "fd2157c9-752d-41ce-81d4-7f0b508c9cca",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-08T15:01:25.0970556+00:00"
    },
    "modified_dateutc": "2026-11-08T15:01:25.0970556+00:00"
  },
  "date_in_production_since": "2026-11-08T15:01:25.0970556+00:00",
  "date_out_of_production_since": "2026-11-08T15:01:25.0970556+00:00",
  "date_end_support": "2026-11-08T15:01:25.0970556+00:00",
  "sales_organization_id": "4a4c259d-c663-4424-9f0d-dc69eca1feae",
  "sales_organization_code": "sample string 13",
  "sales_organization": {
    "id": "132b603f-3525-46b1-a190-e6314fb785a3",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "299093d0-e676-47d8-bd9f-fb70acf60f93",
    "db_currency_id": "557493e3-9e12-4da5-8bf1-37a0b758d20c",
    "db_language_id": "fd2157c9-752d-41ce-81d4-7f0b508c9cca",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-11-08T15:01:25.0970556+00:00"
  },
  "replacement_period_nb_months": 14,
  "warranty_period_nb_months": 15,
  "translations": [
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    },
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    }
  ],
  "modified_dateutc": "2026-11-08T15:01:25.1156577+00:00"
}